package model

import (
	"time"
)

type TaAccountChange struct {
	DetailId     string `xorm:"not null pk VARCHAR(64)"`
	AccountId    string `xorm:"VARCHAR(64)"`
	CustomerId   string `xorm:"VARCHAR(64)"`
	CustomerName string `xorm:"VARCHAR(50)"`
	OrgId        string `xorm:"VARCHAR(64)"`
	CaseId       string `xorm:"VARCHAR(64)"`
	ChangeType   string `xorm:"comment('integral 积分
            amount 城币') VARCHAR(20)"`
	ChangeSource string `xorm:"comment('vip vip卡充值
            orders 订单消费
            register 注册
            perfect 完善资料
            recommend 推荐') VARCHAR(20)"`
	SourceId   string `xorm:"VARCHAR(64)"`
	SourceName string `xorm:"VARCHAR(255)"`
	Amount     string `xorm:"DECIMAL(8,2)"`
	FloatType  string `xorm:"comment('+
            -') VARCHAR(5)"`
	CreateDate time.Time `xorm:"DATETIME"`
	CreateUser string    `xorm:"VARCHAR(64)"`
	Status     int       `xorm:"SMALLINT(6)"`
}
